"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-311/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861A9BC0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861A9D00>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861A9C60>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861A9DA0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861A9E40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861A9EE0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861A9F80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA020>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA0C0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA160>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA200>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA2A0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA340>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA3E0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA480>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA520>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA5C0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA660>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA700>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA7A0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA840>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA8E0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AA980>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AAA20>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AAAC0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AAB60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AAC00>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AACA0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AAD40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AADE0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AAE80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AAF20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AAFC0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB060>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB100>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB1A0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB240>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB2E0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB380>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB420>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB4C0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB560>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB600>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB6A0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB740>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB7E0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB880>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB920>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861AB9C0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861ABA60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861ABB00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861ABBA0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861ABC40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861ABCE0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861ABD80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861ABE20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861ABEC0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861ABF60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E40E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4180>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4220>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E42C0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4360>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4400>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E44A0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4540>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E45E0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4680>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4720>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E47C0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4860>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4900>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E49A0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4A40>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4AE0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4B80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4C20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4CC0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4E00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4D60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4EA0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4F40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E4FE0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001F9861E5080>)]
name: str = 'fr_HOCCN'
